--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Constructs and executes SELECT query, then instantiates one or many object from result set.
- !ruby/struct:SM::Flow::P 
  body: "@param [Query] query"
- !ruby/struct:SM::Flow::VERB 
  body: "  composition of the query to perform\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Array]"
- !ruby/struct:SM::Flow::VERB 
  body: "  result set of the query\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Adapters::DataObjectsAdapter#read
is_singleton: false
name: read
params: (query)
visibility: public
